function gmInte.openWrongBranchPopup()
    local frame = vgui.Create("DFrame")
    frame:SetSize(400, 260)
    frame:Center()
    frame:SetTitle("Gmod Integration - " .. gmInte.getTranslation("branch.title", "Wrong Branch"))
    frame:SetDraggable(false)
    frame:ShowCloseButton(false)
    frame:MakePopup()
    gmInte.applyPaint(frame)
    local messageLabel = vgui.Create("DLabel", frame)
    messageLabel:Dock(FILL)
    messageLabel:DockMargin(10, 0, 10, 0)
    messageLabel:SetText(gmInte.getTranslation("branch.description", "Hey,\nThis server doesn't not allow your game version '{1}' to join. Please switch to '{2}' in the beta tab of Garry's Mod properties.\n\nSteam -> Library -> Garry's Mod -> Right Click -> Properties -> Betas -> Select '{3}'" .. "\n\nAfter you've done that, exit Garry's Mod and rejoin the server.", BRANCH, gmInte.config.clientBranch, gmInte.config.clientBranch))
    messageLabel:SetContentAlignment(5)
    messageLabel:SetFont("GmodIntegration_Roboto_16")
    messageLabel:SetWrap(true)
    local buttonGrid = vgui.Create("DGrid", frame)
    buttonGrid:Dock(BOTTOM)
    buttonGrid:DockMargin(10, 0, 10, 10)
    buttonGrid:SetCols(2)
    buttonGrid:SetColWide(frame:GetWide() - 20)
    buttonGrid:SetRowHeight(35)
    local linkButton = vgui.Create("DButton")
    linkButton:SetText(gmInte.getTranslation("branch.watchTutorial", "Watch Tutorial"))
    linkButton.DoClick = function() gui.OpenURL("https://www.youtube.com/watch?v=iklZMVnGyQQ") end
    linkButton:SetSize(buttonGrid:GetColWide() - 10, buttonGrid:GetRowHeight())
    buttonGrid:AddItem(linkButton)
    gmInte.applyPaint(linkButton)
end

hook.Add("InitPostEntity", "gmInte:Ply:Ready", function()
    gmInte.SendNet("ready", {
        ["branch"] = LocalPlayer():gmInteGetBranch()
    })
end)